<script lang="jsx">
import Layer from "@components/GisMap/Layer/index.vue";
export default {
  props: {
    layer: {
      type: Object,
      required: true,
    },
  },
  render() {
    const { layer, $attrs } = this;
    console.log('layer,',layer)
    if (!layer) {
      return null;
    }
    const { layerId, sourceId } = layer;
    return <Layer id={layerId} sourceId={sourceId} static {...$attrs} />;
  },
};
</script>
